Reddit Comments API
curl --request POST \
--url https://api.socq.ai/v1/reddit/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
]
}
'import requests
url = "https://api.socq.ai/v1/reddit/comments"
payload = { "urls": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>']})
};
fetch('https://api.socq.ai/v1/reddit/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}Reddit 评论
从 Reddit 帖子中采集公众评论。
POST
/
v1
/
reddit
/
comments
Reddit Comments API
{
"urls": ["https://www.reddit.com/r/example/comments/post_id/example_post/"]
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/reddit/comments |
| Compact MCP | socq_execute 与 endpoint: "reddit/comments" |
| Typed MCP | socq_reddit_comments |
| 精确工具 URL | https://api.socq.ai/mcp?tools=reddit_comments |
| CLI | socq reddit comments |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。results_limit。所有返回的评论都会被保存,并根据实际结果数计费。注释文本在 text 中返回。
任务完成响应
{
"code": 200,
"data": {
"task_id": "A1B2C3D4E5F6G7H8",
"status": "succeeded",
"public_id": "reddit/comments",
"result_count": 1,
"credits_amount": 0.3,
"results": {
"limit": 50,
"next_cursor": null,
"has_more": false,
"items": [{
"id": "comment_id",
"platform": "reddit",
"resource": "comments",
"type": "comment",
"url": "https://www.reddit.com/r/example/comments/post_id/example_post/comment_id/",
"text": "Example public comment",
"author": {"id": null, "username": "example_user", "name": "example_user", "url": null},
"metrics": {"upvotes_count": 24, "replies_count": 3},
"media": [],
"created_at": "2026-07-16T09:00:00",
"collected_at": "2026-07-17T10:30:00",
"extra": {"post_id": "post_id", "parent_comment_id": null, "community_name": "example"}
}]
}
}
}
授权
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Public profile or content URLs.
Minimum array length:
1Minimum string length:
1⌘I

